MCP Gateway
ApiObservability

Query logs with cursor pagination

Query tool call logs with cursor-based pagination. More stable than offset pagination for large or frequently updated datasets.

GET
/api/v1/observability/logs/cursor

Query Parameters

cursor?|

Pagination cursor from previous response

server_id?|
status?|

Filter by status

source_type?|

Filter by source: server, sandbox

from_time?|
to_time?|
search?|

Full-text search query

limit?integer

Items per page

Default25
Range1 <= value <= 100

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/observability/logs/cursor"
{
  "items": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "server_id": "820efca4-4a15-4ab7-82fc-9e76f6d61325",
      "server_name": "string",
      "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5",
      "user_name": "string",
      "tool_name": "string",
      "arguments": {},
      "response": {},
      "status": "string",
      "latency_ms": 0,
      "error_message": "string",
      "request_id": "string",
      "source_type": "server",
      "source_name": "string",
      "created_at": "2019-08-24T14:15:22Z"
    }
  ],
  "next_cursor": "string",
  "has_more": false
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}